{*******************************************************************************
* Unit      : TSLockPK Demostration program "LockPK"                           *
********************************************************************************
* Purpose   : Demonstration/Example program for the SLockPK component          *
*             This program is intended to provide SLockPK users with ideas     *
*             and examples how to use the SLockPK component to achieve         *
*             successful results. You are at liberty to use sections of this   *
*             example code in your applications when you have purchased a      *
*             license for SLockPK                                              *
********************************************************************************
* Copyright : This software  is copyright TSM Inc. 1998-1999                   *
*             This source code may not be distributed to third parties in      *
*             or in part without the written permission of TSM Inc.            *
*             All rights reserved. Liability limited to replacement of         *
*             this original source code in the case of loss or damage because  *
*             the use or misuse of this software.                              *
********************************************************************************
* Version   : 22.04.99  - 2.00  PK version "SLockPK"                           *
********************************************************************************
* Switches  : None                                                             *
*******************************************************************************}
unit RegFrm1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Slockfrm, ShellApi;

type
  TfrmLoadCert = class(TForm)
    Label1: TLabel;
    mmoCertificate: TMemo;
    btnLoadCertificateField: TButton;
    bvlStep2: TBevel;
    pnlButtons: TPanel;
    btnDone: TButton;
    btnTSMWeb: TButton;
    btnPurchase: TButton;
    btnLoadCertificateClip: TButton;
    procedure btnLoadCertificateFieldClick(Sender: TObject);
    procedure btnDoneClick(Sender: TObject);
    procedure btnLoadCertificateClipClick(Sender: TObject);
    procedure btnPurchaseClick(Sender: TObject);
    procedure btnTSMWebClick(Sender: TObject);
  end;

var
  frmLoadCert: TfrmLoadCert;

implementation

{$R *.DFM}

{*******************************************************************************
* Procedure : btnLoadCertificateClipField                                      *
********************************************************************************
* Purpose   : Attempts to load a certificate from the clipboard.               *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadCert.btnLoadCertificateFieldClick(Sender: TObject);
begin
     // load the certificate into SLock
     frmMain.Slock1.LoadCertStrings(mmoCertificate.Lines);
end; {TfrmLoadCert.btnLoadCertificateClipClick}

{*******************************************************************************
* Procedure : btnDoneClick                                                     *
********************************************************************************
* Purpose   : Closes the windows                                               *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadCert.btnDoneClick(Sender: TObject);
begin
     Close;
end; {TfrmLoadCert.btnDoneClick}

{*******************************************************************************
* Procedure : btnLoadCertificateClipClick                                      *
********************************************************************************
* Purpose   : Attempts to load a certificate from the clipboard.               *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadCert.btnLoadCertificateClipClick(Sender: TObject);
begin
     // load the certificate direct from the clipboard
     frmMain.SLock1.LoadCertClipboard;
end; {TfrmLoadCert.Button1Click}

{*******************************************************************************
* Procedure : TfrmLoadCert.btnPurchaseClick                                    *
********************************************************************************
* Purpose   : Opens a browser window to the KAGI order site                    *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadCert.btnPurchaseClick(Sender: TObject);
begin
     ShellExecute(GetDesktopWindow(), nil, PChar('http://order.kagi.com/?GDS'), nil, nil, SW_SHOWNORMAL);
end;

{*******************************************************************************
* Procedure : TfrmLoadCert.btnTSMWebClick                                      *
********************************************************************************
* Purpose   : Opens a browser window to the TSM main window                    *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadCert.btnTSMWebClick(Sender: TObject);
begin
     ShellExecute(GetDesktopWindow(), nil,
                  PChar('http://www.crypto-central.com/index.html'),
                  nil, nil, SW_SHOWNORMAL);
end;

end.
